Class | Autoarray
In: | lib/facets/more/autoarray.rb
Parent: | Array

# AutoArray

An Array that automatically expands dimensions as needed.

      a  = Autoarray.new
      a[1][2][3] = 12
      a             #=> [nil, [nil, nil, [nil, nil, nil, 12]]]
      a[2][3][4]    #=> []
      a             #=> [nil, [nil, nil, [nil, nil, nil, 12]]]
      a[1][-2][1] = "Negative"
      a             #=> [nil, [nil, [nil, "Negative"], [nil, nil, nil, 12]]]

### Methods

[] []= new

### Public Class methods

new(size=0, default=nil, update = nil, update_index = nil)

### Public Instance methods

[](k)
[]=(k, v)

[Validate]